# IntervalMatrices.jl

[![Build Status](https://travis-ci.org/JuliaReach/IntervalMatrices.jl.svg?branch=master)](https://travis-ci.org/JuliaReach/IntervalMatrices.jl)
[![Docs latest](https://img.shields.io/badge/docs-latest-blue.svg)](http://juliareach.github.io/IntervalMatrices.jl/latest/)
[![license](https://img.shields.io/github/license/mashape/apistatus.svg?maxAge=2592000)](https://github.com/JuliaReach/IntervalMatrices.jl/blob/master/LICENSE)
[![Code coverage](http://codecov.io/github/JuliaReach/IntervalMatrices.jl/coverage.svg?branch=master)](https://codecov.io/github/JuliaReach/IntervalMatrices.jl?branch=master)
[![Join the chat at https://gitter.im/JuliaReach/Lobby](https://badges.gitter.im/JuliaReach/Lobby.svg)](https://gitter.im/JuliaReach/Lobby?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge)

`IntervalMatrices.jl` is a [Julia](http://julialang.org) package to work with
matrices that have uncertain parameters.

## Resources

- [Manual](http://juliareach.github.io/IntervalMatrices.jl/latest/)
- [Contributing](https://juliareach.github.io/IntervalMatrices.jl/latest/about/#Contributing-1)
- [Release notes of tagged versions](https://github.com/JuliaReach/IntervalMatrices.jl/releases)
- [Release notes of the development version](https://github.com/JuliaReach/IntervalMatrices.jl/wiki/Release-log-tracker)
- [Developers](https://juliareach.github.io/IntervalMatrices.jl/latest/about/#Credits-1)

## Installing

This package requires Julia v1.0 or later.
Refer to the [official documentation](https://julialang.org/downloads) on how to
install and run Julia on your system.

Depending on your needs, choose an appropriate command from the following list
and enter it in Julia's REPL.
To activate the `pkg` mode, type `]` (and to leave it, type `<backspace>`).

#### [Install the latest release version](https://julialang.github.io/Pkg.jl/v1/managing-packages/#Adding-registered-packages-1)

```julia
pkg> add IntervalMatrices
```

#### Install the latest development version

```julia
pkg> add IntervalMatrices#master
```

#### [Clone the package for development](https://julialang.github.io/Pkg.jl/v1/managing-packages/#Developing-packages-1)

```julia
pkg> dev IntervalMatrices
```
