# Methods

This section describes systems methods implemented in `IntervalMatrices.jl`.

```@contents
Pages = ["methods.md"]
Depth = 3
```

```@meta
CurrentModule = IntervalMatrices
```

## Common functions

```@docs
inf
sup
rand
sample
split
∈
```

## Exponentiation

```@docs
expm_overapproximation
expm_underapproximation
```

## Finite expansions

```@docs
quadratic_expansion
```

## Hulls

```@docs
correction_hull
```

## Norms

```@docs
opnorm
```
